# Interface WFSInfoJson

Object that defines and provides information about layers in a WFS service.

See https://developers.arcgis.com/web-map-specification/objects/wfsInfo/.

interface WFSInfoJson {
customParameters?: Record<string, string>;
featureUrl?: string;
maxFeatures?: number;
name?: string;
supportedSpatialReferences?: number[];
swapXY?: boolean;
version?: string;
wfsNamespace?: string;
}

#####
Index

### Properties

customParameters?
featureUrl?
maxFeatures?
name?
supportedSpatialReferences?
swapXY?
version?
wfsNamespace?

##
Properties

### `Optional` customParameters

customParameters?: Record<string, string>

A sequence of parameters used to append custom parameters to all WFS requests. These parameters are applied to GetCapabilities, DescribeFeatureType, and GetFeatures.

### `Optional` featureUrl

featureUrl?: string

URL of the WFS service operation.

### `Optional` maxFeatures

maxFeatures?: number

Set this to limit the number of requested features that a GetFeature request presents.

### `Optional` name

name?: string

The name of the WFS layer. This is used to set layer visibility.

### `Optional` supportedSpatialReferences

supportedSpatialReferences?: number[]

List of supported spatial reference IDs.

### `Optional` swapXY

swapXY?: boolean

Boolean value indicating whether X and Y axis are flipped.

### `Optional` version

version?: string

Value indicating which version of the WFS specification is used.

### `Optional` wfsNamespace

wfsNamespace?: string

String indicating namespace.